FEM ConstraintSelfWeight/ru: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
(One intermediate revision by the same user not shown)
Line 10: Line 10:
Constraint self weight defines gravity acceleration 9,81 m/s^2 acting on the whole model in the prescribed direction.
Constraint self weight defines gravity acceleration 9,81 m/s^2 acting on the whole model in the prescribed direction.


==How to use==
==Usage==


# To invoke command either:
#Click on [[Image:FEM ConstraintSelfWeight.png|32px]] or choose {{KEY|Model}} → '''Mechanical Constraints''' → {{KEY|[[Image:FEM ConstraintSelfWeight.png|32px]] Constraint self weight}} from the top menu or press {{KEY|C}} then {{KEY|W}} keys.
#* Press on the [[Image:FEM ConstraintSelfWeight.png|24px]] button
#* Choose {{KEY|Model}} → '''Mechanical Constraints''' → {{KEY|[[Image:FEM ConstraintSelfWeight.png|24px]] Constraint self weight}} from the top menu
#* Use the keyboard shortcut: {{KEY|C}} then {{KEY|W}} keys.
#You can modify the direction of gravitation by changing its vector coordinates in the property bar of newly created ConstraintSelfWeight object.
#You can modify the direction of gravitation by changing its vector coordinates in the property bar of newly created ConstraintSelfWeight object.


==Scripting==
==Scripting==


* new object
'''New object'''
{{Code|code=
{{Code|code=
import ObjectsFem
import ObjectsFem
Line 23: Line 26:
}}
}}


* add object to the analysis named Analysis
'''Add object to the analysis named Analysis'''
{{Code|code=
{{Code|code=
App.ActiveDocument.Analysis.Member = App.ActiveDocument.Analysis.Member + [ (object) ]
App.ActiveDocument.Analysis.Member = App.ActiveDocument.Analysis.Member + [ (object) ]
}}
}}


'''Example:'''
* example:
{{Code|code=
{{Code|code=
import ObjectsFem
import ObjectsFem
Line 56: Line 59:
{{Docnav|[[FEM_ConstraintPressure|Constraint pressure]]|[[FEM_ConstraintBearing|Constraint bearing]]|[[FEM_Module|FEM]]|IconL=FEM_ConstraintPressure.png|IconC=Workbench_FEM.svg|IconR=FEM_ConstraintBearing.png}}
{{Docnav|[[FEM_ConstraintPressure|Constraint pressure]]|[[FEM_ConstraintBearing|Constraint bearing]]|[[FEM_Module|FEM]]|IconL=FEM_ConstraintPressure.png|IconC=Workbench_FEM.svg|IconR=FEM_ConstraintBearing.png}}


{{FEM Tools navi}}
{{FEM Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

{{Userdocnavi}}
{{clear}}
{{clear}}

Revision as of 22:23, 22 February 2020

Other languages:

FEM ConstraintSelfWeight

Системное название
FEM ConstraintSelfWeight
Расположение в меню
FEM → Constraint self weight
Верстаки
FEM
Быстрые клавиши
C,W
Представлено в версии
-
См. также
FEM tutorial

Description

Constraint self weight defines gravity acceleration 9,81 m/s^2 acting on the whole model in the prescribed direction.

Usage

  1. To invoke command either:
    • Press on the button
    • Choose ModelMechanical Constraints Constraint self weight from the top menu
    • Use the keyboard shortcut: C then W keys.
  2. You can modify the direction of gravitation by changing its vector coordinates in the property bar of newly created ConstraintSelfWeight object.

Scripting

New object

import ObjectsFem
ObjectsFem.makeConstraintSelfWeight( name )

Add object to the analysis named Analysis

App.ActiveDocument.Analysis.Member = App.ActiveDocument.Analysis.Member + [ (object) ]

Example:

import ObjectsFem
selfweight_obj = ObjectsFem.makeConstraintSelfWeight( 'MySelfWeightObject' )
App.ActiveDocument.Analysis.Member = App.ActiveDocument.Analysis.Member + [selfweight_obj]

Solver CalculiX

Limitations

  • You need to modify .inp file to edit gravity acceleration.
  • Self weight is applied to the element set Eall means to the whole model.

Editing CalculiX input file

Acceleration constant can be edited by hand modification after generating CalculiX input file.

Example of lines in .inp file:

*DLOAD
Eall,GRAV,9810,0.0,0.0,-1.0

where 9810 is gravity acceleration in [mm/s^2]

Solver Z88

  • not implemented in Z88 solver (March 2017)